Bug 509731 - xfbrowser4 should use system xdg-open instead of exo-open
xfbrowser4 should use system xdg-open instead of exo-open
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xfce-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 11:45 EDT by Pavel Alexeev
Modified: 2009-08-01 17:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-01 17:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2009-07-05 11:45:36 EDT
Script xfbrowser4 as preferred "browser" use exo-open.
Its must use xdg-open from package xdg-utils, IMHO.

Furthermore, exo-open used incorrectly, see https://bugzilla.redhat.com/show_bug.cgi?id=509730
Comment 1 Kevin Fenzi 2009-07-05 19:33:26 EDT
Why? It's a script provided by Xfce, it would make sense to me for it to use exo-open... 

Note that there is a RFE upstream to replace these scripts by simple desktop files that just call exo-open. See: http://bugzilla.xfce.org/show_bug.cgi?id=4360

The other bug is indeed a bug, and filed and dealt with seperately. 
Unless there is something missing, I don't see a bug here.
Comment 2 Pavel Alexeev 2009-07-06 03:11:21 EDT
(In reply to comment #1)
> Why? It's a script provided by Xfce, it would make sense to me for it to use
> exo-open... 
The first and main reason to provide single, reliable approach in all DE environment, as it is main goal of xdg-utils:
The xdg-utils package is a set of simple scripts that provide basic
desktop integration functions for any Free Desktop, such as Linux.

Indeed, such requests filled in many packages, f.e.:
https://bugzilla.redhat.com/show_bug.cgi?id=316131
https://bugzilla.redhat.com/show_bug.cgi?id=388531
https://bugzilla.redhat.com/show_bug.cgi?id=365361

Additional, SIG/XFCE contain xdg-utils (refer to https://fedoraproject.org/wiki/SIGs/Xfce ) but why not wide use it?

Finally, please see: https://www.redhat.com/archives/fedora-devel-list/2007-October/msg00025.html
Comment 3 Kevin Fenzi 2009-07-06 12:14:58 EDT
If you want to use xdg-utils, why not just use that? 

xfbrowser4 is not xdg-utils. It's provided by upstream Xfce, and uses exo-open. 

Where are you calling it from, and why not just replace that with a xdg-utils call?

If you feel xfbrowser4 should call xdg-utils, thats much more a discussion for upstream Xfce.
I don't want to replace their script with a fedora specific one.
Comment 4 Kevin Fenzi 2009-08-01 17:41:42 EDT
If you feel this script should use xdg-utils, please ask upstream to do that. 

If you can just switch whatever you are using this for to use xdg-utils and have it work as you like, that should work as well. 

I'm going to go ahead and close this now... feel free to reopen if there is some further discussion or a real bug in the script.

Note You need to log in before you can comment on or make changes to this bug.